
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>

#include <unistd.h>

#include <pthread.h>
               
struct beeper {
		pthread_t sound_thread;
		pthread_mutex_t sound_mutex;
		pthread_cond_t sound_cond;
		int frequency;
		int length;
	};	

/* Prototypes */
int beep_init(struct beeper *beep); 
int beep_me(struct beeper *beep, int frequency, int length);
int beep_close(struct beeper *beep);
