
#include <stdio.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>

#include <sys/soundcard.h>

#include <pthread.h>
                         
#define AUDIO_BUFFER_SIZE 4096
                                                                                                                                                                                                                                                                                                                                                            
struct sounder {
                int audio_fd;
                unsigned char *audio_buffer;
                unsigned char *audio_buffer_reset;
                int do_reset;
                int audio_buffer_size;
		pthread_t sound_thread;
		pthread_mutex_t sound_mutex;
		pthread_cond_t sound_cond;
	};	

/* Prototypes */
int sound_init(struct sounder *sound, char *devicename, int size); 
int sound_me(struct sounder *sound);
int sound_close(struct sounder *sound);
int mixer_init(char *devicename, int volume);
