
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <sys/select.h>
#include <fcntl.h>
#include <string.h>

#include <netinet/in.h>

#include <limits.h>
#include <netdb.h>
#include <arpa/inet.h>

#include <sys/socket.h>
#include <errno.h>

#include <pthread.h> 

#define BE_VERBOSE	1
#define SHUT_UP		0

struct netthread {
		pthread_t network_thread;
		pthread_mutex_t network_mutex;
		unsigned short port;
		int verbose;
		};

/* Empty prototype only - write this function externally! */

extern int command_to_output(char *inbuffer, char* outbuffer, int outbufferlen);

/* Prototypes */

int stop_network_socket(struct netthread *nt);
int start_network_socket(struct netthread *nt, 
			 unsigned short port,
			 int verbose);
int shared_data_lock(struct netthread *nt);
int shared_data_unlock(struct netthread *nt);
